> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getprimo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List company addresses for a shipping country

> Return the company's saved addresses in the given shipping country. Use one of these as the shipping address when creating an order.

<span className="badge-read">Key: Read</span><span className="badge-company">Scope: Company</span>


## OpenAPI

````yaml https://api.getprimo.com/openapi.json get /shipping-countries/{countryCode}/addresses
openapi: 3.1.1
info:
  title: Public API - BETA
  description: Read docs on https://docs.getprimo.com/
  version: '1.0'
  contact: {}
servers:
  - url: https://api.getprimo.com
security:
  - apikey: []
tags: []
paths:
  /shipping-countries/{countryCode}/addresses:
    get:
      tags:
        - Catalog
      summary: List company addresses for a shipping country
      description: >-
        Return the company's saved addresses in the given shipping country. Use
        one of these as the shipping address when creating an order.
      operationId: getCompanyAddresses
      parameters:
        - name: countryCode
          required: true
          in: path
          schema:
            type: string
      responses:
        default:
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetCompanyAddresses_Output'
components:
  schemas:
    GetCompanyAddresses_Output:
      type: object
      properties:
        data:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
              contactName:
                anyOf:
                  - type: string
                  - type: 'null'
              name:
                type: string
              street:
                type: string
              complement:
                anyOf:
                  - type: string
                  - type: 'null'
              postalCode:
                type: string
              city:
                type: string
              country:
                anyOf:
                  - type: string
                  - type: 'null'
              countryCode:
                anyOf:
                  - type: string
                  - type: 'null'
              phone:
                anyOf:
                  - type: string
                  - type: 'null'
              type:
                type: string
                enum:
                  - HOME
                  - WORK
            required:
              - id
              - name
              - street
              - postalCode
              - city
              - type
            additionalProperties: false
      required:
        - data
      additionalProperties: false
  securitySchemes:
    apikey:
      scheme: bearer
      bearerFormat: API key
      type: http
      description: >-
        Use your Primo API key in the Authorization header as `Bearer
        <API_KEY>`.

````